;;-----------> TRATEXT.LSP <---------------------------------------------
;;         
;;------------------------------------------------------------------------
;;  Adding PG for AutoCAD r14 12/08/97
;; 20/08/99  AutoCAD r15 (2000)
;; 
;;
;;   Copyright  \"SingleSoft PG\" "
;;                       mailto:gepos@mail.ru 
;;
;;------------------------------------------------------------------------
;;-----------> tratext <--------------------------------------------------
;;
(defun c:tratext(/ txt pt f s height rotation cmd1)
 (setq txt (getstring"\n   : ")
       txt (findfile txt)
       cmd1 (getvar "CMDECHO")
 )
(setvar "CMDECHO" 0)
(cond (txt ;;--------->  
       (setq f (open txt "r")
            pt (getpoint"\n  : ")
            height (getreal"\n  <3.5>: ")
            rotation (getreal"\n    <0>: ")
       )
       (if(= rotation nil) (setq rotation 0.0))
       (if(= height nil)   (setq height 3.5))
       (while (setq s (read-line f))
        (if pt (progn
            (command "text" pt height rotation s)
            (setq pt nil)
            )
           (command "text" "" s)
        ) )
       (close f)
       )
     ((not txt) (princ"\n  !") ) ;;--------->  
 )
(setvar "CMDECHO" cmd1)
(princ)
)
;;-----------> The End Tratext <------------------------------------------
