
(defun c:bolt ( / )

  (setq	bdtr1 (findfile "b7798.dat")
	bdtr2 (findfile "b7796.dat")
	bdtr3 (findfile "b7805.dat")
	bdtr4 (findfile "b7808.dat")
	bdtr5 (findfile "v1491.dat")
	bdtr6 (findfile "v17473.dat")
	bdtr7 (findfile "v17474.dat")
	bdtr8 (findfile "v17475.dat")
	bdtr9 (findfile "v1488.dat")
	bdtr10 (findfile "v11738.dat")
  ) ;_ end of setq


  (defun show (/ dcl_id)
    (setq dcl_id  (load_dialog "bolt.dcl"))	
    (if	(not (new_dialog "bolt" dcl_id))	
      (exit))					


    (defun name_filb ()
      (cond
	((eq tr1 "1") (setq filb bdtr1))
	((eq tr2 "1") (setq filb bdtr2))
	((eq tr3 "1") (setq filb bdtr3))
	((eq tr4 "1") (setq filb bdtr4))
	((eq tr5 "1") (setq filb bdtr5))
	((eq tr6 "1") (setq filb bdtr6))
	((eq tr7 "1") (setq filb bdtr7))
	((eq tr8 "1") (setq filb bdtr8))
	((eq tr9 "1") (setq filb bdtr9))
	((eq tr10 "1") (setq filb bdtr10))
      ) ;_ end of cond
    ) ;_ end of defun 


    (defun desk_fb () 
      (if (eq otkr 1) (close x))
      (setq x	(open (name_filb) "r") otkr 1
	    a	(read-line x)
	    aa	(read a)
	    a1	(nth 0 aa) ;   
       ) ;_end of setq 

          (setq   b	(read-line x)
	          bb	(read b) ;     
	          b0	(nth 0 bb)
	          b2	(nth 2 bb) 
                  b3    (nth 3 bb)
          ) ;_ end of setq
    ) ;_ end of defun


    (defun whlb ()
      (if (or (< (atof rrs) (atof b0))
	      (< (atof shag) (atof b2))
	  ) ;_ end of or
	  (progn (close x) (desk_fb))
      ) ;_ end of if
      (while (or (/= (atof rrs) (atof b0))
		 (/= (atof shag) (atof b2))
	     ) ;_ end of or
	(setq b	  (read-line x)
	      bb  (read b)
	      b0  (nth 0 bb)
	      b2  (nth 2 bb)
              b3  (nth 3 bb)
	) ;_ end of setq
      ) ;_ end of while
    ) ;_ end of defun



    (defun r_r ()
      (start_list "dmr")
      (mapcar 'add_list a1)
      (end_list)
    ) ;_ end of defun

    (defun s_r ()
      (cond ((or (eq rrs nil) (and (/= rrs nil) (> (atoi rrs) (1- (length a1))))) (setq a2 (nth 1 aa)))
            ((and (/= rrs nil) (<= (atoi rrs) (1- (length a1)))) (setq a2 (nth (1+ (atoi rrs)) aa))) 
      ) ;_end of cond
      (setq   a4 (nth 1 a2)) ;   
      (start_list "sh")
      (mapcar 'add_list a4)
      (end_list)
    ) ;_ end of defun


    (defun showBolt	( img  nm  col / ) 
          (setq orx	(dimx_tile img)
	        aby	(dimy_tile img)
           ) ;_ end of setq
      (start_image img)
      (fill_image 0 0 orx aby col)
      (slide_image 0 0 orx aby nm)
      (end_image)
    ) ;_ end of defun
(defun fimg ()
  (if (eq tr1 nil) (setq col 444) (setq col 254))
  (showBolt "img1" "bv(b1).slb" col)
  (if (eq tr2 nil) (setq col 444) (setq col 254))
  (showBolt "img2" "bv(b2).slb" col)
  (if (eq tr3 nil) (setq col 444) (setq col 254))
  (showBolt "img3" "bv(b3).slb" col)
  (if (eq tr4 nil) (setq col 444) (setq col 254))
  (showBolt "img4" "bv(b4).slb" col)
  (if (eq tr5 nil) (setq col 444) (setq col 254))
  (showBolt "img5" "bv(v1).slb" col)
  (if (eq tr6 nil) (setq col 444) (setq col 254))
  (showBolt "img6" "bv(v2).slb" col)
  (if (eq tr7 nil) (setq col 444) (setq col 254))
  (showBolt "img7" "bv(v3).slb" col)
  (if (eq tr8 nil) (setq col 444) (setq col 254))
  (showBolt "img8" "bv(v4).slb" col)
  (if (eq tr9 nil) (setq col 444) (setq col 254))
  (showBolt "img9" "bv(v5).slb" col)
  (if (eq tr10 nil) (setq col 444) (setq col 254))
  (showBolt "img10" "bv(v6).slb" col)
)
(fimg) 

 (defun shagF () 
        (if (/= a4 nil) (setq shag (get_tile "sh")))
  )

    (defun help_1 () 
      (if (eq dldet nil) (setq lnd "x...") (setq lnd (strcat "x" (rtos b4 2 0))))
      (if (or (eq shag "") (eq shag "0")) (setq ort "") (setq ort (strcat "x" shg1)))
      (setq dmzn (getvar "dimzin"))
      (setvar "dimzin" 8)

      (cond
	((eq tr1 "1") (setq gst1 (strcat "   " (rtos dmt 2 1) ort lnd "  7798-70")))
	((eq tr2 "1") (setq gst1 (strcat "   " (rtos dmt 2 1) ort lnd "  7796-70")))
	((eq tr3 "1") (setq gst1 (strcat "   " (rtos dmt 2 1) ort lnd "  7805-70")))	
	((eq tr4 "1") (setq gst1 (strcat "   " (rtos dmt 2 1) ort lnd "  7808-70")))		
	((eq tr5 "1") (setq gst1 (strcat  "   " (rtos dmt 2 1) ort lnd "  1491-72")))	
	((eq tr6 "1") (setq gst1 (strcat  "   " (rtos dmt 2 1) ort lnd "  17473-72")))	
	((eq tr7 "1") (setq gst1 (strcat  "   " (rtos dmt 2 1) ort lnd "  17474-72")))	
	((eq tr8 "1") (setq gst1 (strcat  "   " (rtos dmt 2 1) ort lnd "  17475-72")))	
	((eq tr9 "1") (setq gst1 (strcat  "   " (rtos dmt 2 1) ort lnd "  1488-75")))
	((eq tr10 "1") (setq gst1 (strcat  "   " (rtos dmt 2 1) ort lnd "  11738-72")))	
      ) ;_ end of cond 
      (setvar "dimzin" dmzn)
    ) ;_ end of defun


    (defun help_11 () 
      (if (eq shag "0") (setq ort "") (setq ort (strcat "x" shg1)))
      (setq dmzn (getvar "dimzin"))
      (setvar "dimzin" 8)
      (cond
	((eq tr11 "1") (setq gst2 (strcat " " (rtos dmtg 2 1) ort "  5915-70")))
	((eq tr21 "1") (setq gst2 (strcat " " (rtos dmtg 2 1) ort "  5916-70")))
	((eq tr31 "1") (setq gst2 (strcat " " (rtos dmtg 2 1) ort "  15521-70")))	
	((eq tr41 "1") (setq gst2 (strcat " " (rtos dmtg 2 1) ort "  15522-70")))		
	((eq tr51 "1") (setq gst2 (strcat  " " (rtos dmtg 2 1) ort "  5927-70")))	
	((eq tr61 "1") (setq gst2 (strcat  " " (rtos dmtg 2 1) ort "  5929-70")))	
	((eq tr71 "1") (setq gst2 (strcat  " " (rtos dmtg 2 1) ort "  2524-70")))	
	((eq tr81 "1") (setq gst2 (strcat  " " (rtos dmtg 2 1) ort "  2526-70")))	
	((eq tr91 "1") (setq gst2 (strcat  " " (rtos dmtg 2 1) ort "  15524-70")))
	((eq tr101 "1") (setq gst2 (strcat  " " (rtos dmtg 2 1) ort "  5931-70")))	
      ) ;_ end of cond 
      (setvar "dimzin" dmzn)
      (if (/= gst2 nil) (set_tile "help8" gst2))
    ) ;_ end of defun

    (defun help_2 () 
      (if (eq shag "0") (setq ort "") (setq ort (strcat "x" shg1)))
      (setq dmzn (getvar "dimzin"))
      (setvar "dimzin" 8)
      (cond
	((eq tr11s "1") (setq gst4 (strcat " " (rtos dmtg2 2 1) ort "  5915-70")))
	((eq tr21s "1") (setq gst4 (strcat " " (rtos dmtg2 2 1) ort "  5916-70")))
	((eq tr31s "1") (setq gst4 (strcat " " (rtos dmtg2 2 1) ort "  15521-70")))	
	((eq tr41s "1") (setq gst4 (strcat " " (rtos dmtg2 2 1) ort "  15522-70")))		
	((eq tr51s "1") (setq gst4 (strcat  " " (rtos dmtg2 2 1) ort "  5927-70")))	
	((eq tr61s "1") (setq gst4 (strcat  " " (rtos dmtg2 2 1) ort "  5929-70")))	
	((eq tr71s "1") (setq gst4 (strcat  " " (rtos dmtg2 2 1) ort "  2524-70")))	
	((eq tr81s "1") (setq gst4 (strcat  " " (rtos dmtg2 2 1) ort "  2526-70")))	
      ) ;_ end of cond 
      (setvar "dimzin" dmzn)
      (if (/= gst4 nil) (set_tile "help9" gst4)) 
    ) ;_ end of defun

  (defun mnbolt ()
    (cond ((eq tr1 "1") (setq bolt "01"))
          ((eq tr2 "1") (setq bolt "02"))
          ((eq tr3 "1") (setq bolt "03"))
          ((eq tr4 "1") (setq bolt "04"))
          ((eq tr5 "1") (setq bolt "05"))
          ((eq tr6 "1") (setq bolt "06"))
          ((eq tr7 "1") (setq bolt "07"))
          ((eq tr8 "1") (setq bolt "08"))
          ((eq tr9 "1") (setq bolt "09"))
          ((eq tr10 "1") (setq bolt "10"))
     ) 
   ) ;_end of mnbolt


    (defun help_4 () 
      (cond 
           ((or (eq tr111 "1") (eq tr121 "1") (eq tr131 "1") (eq tr141 "1") (eq tr151 "1"))  (setq ors ""))
           ((eq tr161 "1")  (setq ors ""))
           ((eq tr171 "1")  (setq ors ""))
           ((eq tr181 "1")  (setq ors "")) 
        )
      (setq dmzn (getvar "dimzin"))
      (setvar "dimzin" 8)
      (cond
	((eq tr111 "1") (setq gst8 (strcat " " (rtos dmtsh 2 1) " " ors "  11371-78")))
	((eq tr121 "1") (setq gst8 (strcat " " (rtos dmtsh 2 1) " " ors "  6958-78")))
	((eq tr131 "1") (setq gst8 (strcat " " (rtos dmtsh 2 1) " " ors "  10450-78")))	
	((eq tr141 "1") (setq gst8 (strcat " " (rtos dmtsh 2 1) " " ors "  10906-78")))		
	((eq tr151 "1") (setq gst8 (strcat  " " (rtos dmtsh 2 1) " " ors "  6402-70")))	
	((eq tr161 "1") (setq gst8 (strcat  " " (rtos dmtsh 2 1) " " ors "  6402-70")))	
	((eq tr171 "1") (setq gst8 (strcat  " " (rtos dmtsh 2 1) " " ors "  6402-70")))	
	((eq tr181 "1") (setq gst8 (strcat  " " (rtos dmtsh 2 1) " " ors "  6402-70")))	
      ) ;_ end of cond 
      (setvar "dimzin" dmzn)
      (if (/= gst8 nil) (set_tile "help10" gst8))
    ) ;_ end of defun

    (defun help_3 () 
      (cond 
           ((or (eq tr111s "1") (eq tr121s "1") (eq tr131s "1") (eq tr141s "1") (eq tr151s "1"))  (setq ors2 ""))
           ((eq tr161s "1")  (setq ors2 ""))
           ((eq tr171s "1")  (setq ors2 ""))
           ((eq tr181s "1")  (setq ors2 "")) 
        )

      (setq dmzn (getvar "dimzin"))
      (setvar "dimzin" 8)
      (cond
	((eq tr111s "1") (setq gst6 (strcat " " (rtos dmtsh2 2 1) " " ors2 "  11371-78")))
	((eq tr121s "1") (setq gst6 (strcat " " (rtos dmtsh2 2 1) " " ors2 "  6958-78")))
	((eq tr131s "1") (setq gst6 (strcat " " (rtos dmtsh2 2 1) " " ors2 "  10450-78")))	
	((eq tr141s "1") (setq gst6 (strcat " " (rtos dmtsh2 2 1) " " ors2 "  10906-78")))		
	((eq tr151s "1") (setq gst6 (strcat  " " (rtos dmtsh2 2 1) " " ors2 "  6402-70")))	
	((eq tr161s "1") (setq gst6 (strcat  " " (rtos dmtsh2 2 1) " " ors2 "  6402-70")))	
	((eq tr171s "1") (setq gst6 (strcat  " " (rtos dmtsh2 2 1) " " ors2 "  6402-70")))	
	((eq tr181s "1") (setq gst6 (strcat  " " (rtos dmtsh2 2 1) " " ors2 "  6402-70")))	
      ) ;_ end of cond 
      (setvar "dimzin" dmzn)
      (if (/= gst6 nil) (set_tile "help11" gst6))
    ) ;_ end of defun


 (defun yes () 
  (defun viborb ()
   (cond 
      ((or (eq tr1 "1") (eq tr2 "1") (eq tr3 "1") (eq tr4 "1")) (setq sha (nth 13 bb)))
      ((or (eq tr5 "1") (eq tr10 "1")) (setq sha (nth 14 bb)))      
      ((or (eq tr8 "1") (eq tr9 "1")) (setq sha (nth 15 bb))) 
      ((or (eq tr6 "1") (eq tr7 "1")) (setq sha (nth 16 bb))) 
    )          
   (mnbolt) 
   (if (or (eq tr5 "1") (eq tr6 "1")) (setq hnb (nth 13 bb)))
   (if (eq tr6 "1")  (setq h1gb (nth 14 bb)
	                     rgb  (nth 15 bb)))
   (if (eq tr7 "1")  (setq rgb (nth 15 bb)))
   (if (or (eq tr7 "1") (eq tr8 "1"))  (setq hgb1 (nth 13 bb)
	                                       h1gb (nth 14 bb)))
   (if (eq tr9 "1")  (setq dgb1 (nth 13 bb)
	                     hgb1 (nth 14 bb)))
   (setq 
        shg1 (last a4)
        dmt  (nth 3 bb)
	dln  (nth 4 bb)
	dln1 (nth 5 bb)
	dgb  (nth 6 bb)
	sgb  (nth 7 bb)
	hgb  (nth 8 bb)
	dvt  (nth 9 bb)
	fsk  (nth 10 bb)
	rsp  (nth 11 bb)
        dldet nil
      ) ;_ end of setq
       (help_1)
       (help_11)
       (help_2)
       (help_4)
       (help_3)
       (progn 
             (done_dialog) 
             (set_tile "help7" gst1) 
             (if (/= gst2 nil) (set_tile "help8" gst2))
             (if (and (/= s_gks "0") (/= gst4 nil)) (set_tile "help9" gst4))
             (if (and (/= s_hg "0") (/= gst8 nil)) (set_tile "help10" gst8))
             (if (and (/= s_hb "0") (/= gst6 nil)) (set_tile "help11" gst6))
             (close x) 
             (obnul)
             (sbros)
             (setq ;rrr nil 
                   opr nil 
                   otkr nil)
         )  
  ) ;_end of defun viborb
       (if (eq filb nil) (alert " ()  ") (viborb))
  )

 (defun no () 
       (if (eq filb nil)
           (progn (done_dialog) (set_tile "blt" "0") (setq filb nil b_lt "0" otkr nil) (show_im_gl) (trnilb))
           (progn (done_dialog) (set_tile "blt" "0") (setq filb nil b_lt "0" otkr nil) (show_im_gl) (close x) (trnilb)) 
       ) 
      (if (eq b_lt "0") (mode_tile "gks" 1)) 
  )

 (defun nodim () 
           (progn (done_dialog) (setq filb nil otkr nil) (close x) (trnilb) (fimg) (setq rrr nil opr nil a1 '() a4 '())) 
  )


 (defun alrt_bolt ()
      (if (not (new_dialog "alrt_bolt" DCL_ID))
          (exit)
        ) 
  (setq dbiz (strcat st5 " " st2 "  ." "\n   " st4 "?") 
        rrr "dmr") 
  (set_tile "alrtb" dbiz)
  (defun ustsh () 
   (set_tile "sh" "0") 
   (set_tile "dmr" "0")
  )
  
  (action_tile "accept" (strcat "(progn (done_dialog)" "(r_r)"  "(s_r)" "(ustsh))"))
  (action_tile "cancel" (strcat "(progn (nodim)" "(r_r)" "(s_r))"))
  (start_dialog)
 )

(defun sbs () 
      (progn 
            (set_tile "help8" " ")
            (set_tile "help9" " ") 
            (set_tile "help10" " ")
            (set_tile "help11" " ")
            (set_tile "blt" "1")
            (set_tile "gks" "0")
            (set_tile "sgks" "0")
            (set_tile "shg" "0")
            (set_tile "shb" "0")
            (mode_tile "sgks" 1)
            (mode_tile "shg" 1)
            (mode_tile "shb" 1)
            (trnil)
            (trnil2)
            (trnils)
            (trnils2) 
            (dan)
       ) ;_end of progn  
 ) ;_end of defun sbs

(defun setrr () 
  (setq opr nil)
  (if (eq rrs nil) (setq rrs "0"))
  (if (eq dmt nil) (progn (r_r) (s_r)))
  (if (and (/= dmt nil) (< dmt b3)) 
      (progn (vsalert) 
             (alrt_bolt) 
             (setq opr 7)
       )
    ) 
  (if (and (/= dmt nil) (>= dmt b3)) 
                      (progn 
                         (while (and (/= b "") (/= b nil) (/= dmt b3))
                             (progn
	                        (setq b (read-line x))
                                (if (and (/= b "") (/= b nil))
	                            (setq   bb  (read b)
	                                    b0  (nth 0 bb)
	                                    b2  (nth 2 bb)
                                            b3  (nth 3 bb) ; 
                                      ) ;_end of setq 
                                    (progn (setq a2 (nth 1 aa) 
                                                 a4 (nth 1 a2) 
                                            ) ;_end of setq 
                                           (vsalert) 
                                           (alrt_bolt) 
                                     ) ;_end of progn 
                                ) ;_end of if
                             ) ;_end of progn
                            ) ;_ end of while 
                        
                         (setq   a2 (nth (1+ (atoi b0)) aa) 
                                 a4 (nth 1 a2)  ; 
                           ) ;_end of setq 
                         (if (and (/= b "") (/= b nil)) (progn (r_r) (set_tile "dmr" b0)) 
                                        (progn  (setq opr 7) (desk_fb) (r_r) (set_tile "dmr" "0"))
                          )
                         (setq rrs b0)
                         (if (/= b nil) (s_r))
                         (if (and (/= shag "") (/= shag nil)) 
                             (set_tile "sh" shag) 
                             (set_tile "sh" "0") 
                          ) ;_end of if
                       ) ;_end of progn
                    ) ;_end of if
 ) ;_end of defun setrr

  (defun sbros () 
   (if (or (eq rrr "dmr") (eq opr 7))
       (sbs)
    ) ;_end of if
  ) ;_en d of defun sbros

 (defun obnul ()
  (if (and (eq rrr nil) (eq b nil))
      (sbs)
    )
  )

 (action_tile "img1" (strcat "(progn (setq tr1 $value tr2 nil tr3 nil tr4 nil tr5 nil tr6 nil tr7 nil tr8 nil tr9 nil tr10 nil)" 
                             "(fimg)" "(desk_fb)" 
                             "(setrr)" 
                             "(shagF))"))
 (action_tile "img2" (strcat "(progn (setq tr2 $value tr1 nil tr3 nil tr4 nil tr5 nil tr6 nil tr7 nil tr8 nil tr9 nil tr10 nil)" 
                             "(fimg)" "(desk_fb)"
                             "(setrr)"
                             "(shagF))"))
 (action_tile "img3" (strcat "(progn (setq tr3 $value tr1 nil tr2 nil tr4 nil tr5 nil tr6 nil tr7 nil tr8 nil tr9 nil tr10 nil)" 
                             "(fimg)" "(desk_fb)"
                             "(setrr)"
                             "(shagF))"))
 (action_tile "img4" (strcat "(progn (setq tr4 $value tr1 nil tr2 nil tr3 nil tr5 nil tr6 nil tr7 nil tr8 nil tr9 nil tr10 nil)"  
                             "(fimg)" "(desk_fb)"
                             "(setrr)"
                             "(shagF))"))
 (action_tile "img5" (strcat "(progn (setq tr5 $value tr1 nil tr2 nil tr3 nil tr4 nil tr6 nil tr7 nil tr8 nil tr9 nil tr10 nil)"  
                             "(fimg)" "(desk_fb)" 
                             "(setrr)"
                             "(shagF))"))
 (action_tile "img6" (strcat "(progn (setq tr6 $value tr1 nil tr2 nil tr3 nil tr4 nil tr5 nil tr7 nil tr8 nil tr9 nil tr10 nil)"  
                             "(fimg)" "(desk_fb)"
                             "(setrr)"
                             "(shagF))"))
 (action_tile "img7" (strcat "(progn (setq tr7 $value tr1 nil tr2 nil tr3 nil tr4 nil tr5 nil tr6 nil tr8 nil tr9 nil tr10 nil)"  
                             "(fimg)" "(desk_fb)"
                             "(setrr)"
                             "(shagF))"))
 (action_tile "img8" (strcat "(progn (setq tr8 $value tr1 nil tr2 nil tr3 nil tr4 nil tr5 nil tr6 nil tr7 nil tr9 nil tr10 nil)"  
                             "(fimg)" "(desk_fb)"
                             "(setrr)"
                             "(shagF))"))
 (action_tile "img9" (strcat "(progn (setq tr9 $value tr1 nil tr2 nil tr3 nil tr4 nil tr5 nil tr6 nil tr7 nil tr8 nil tr10 nil)"  
                             "(fimg)" "(desk_fb)"
                             "(setrr)"
                             "(shagF))"))
 (action_tile "img10" (strcat "(progn (setq tr10 $value tr1 nil tr2 nil tr3 nil tr4 nil tr5 nil tr6 nil tr7 nil tr8 nil tr9 nil)"  
                             "(fimg)" "(desk_fb)"
                             "(setrr)"
                             "(shagF))"))
 (if (action_tile "dmr" "") (setq rrr nil)) 
 (action_tile "dmr"  (strcat "(progn (setq rrs (get_tile \"dmr\") rrr $key shag \"0\")" "(desk_fb)" "(whlb)" "(s_r)" "(set_tile \"sh\" shag)" "(shagF))"))
 (action_tile "sh"  (strcat "(progn  (shagF)" "(desk_fb)" "(whlb))"))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; 

;;;;;;;;;;;;;;;;;;;;;; ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 (defun gbgv ()

      (lay_o)      

      (if (< hgb 5.0) 
          (setq losg 2.0) 
          (setq losg (/ hgb 2.0)) 
       ) ;_end of if
	(setq pt0  (polar cpt pi tlshb)
              cpo1 (polar pt0 0 (+ tlshb t_l))
              pt1  (polar pt0 pi hgb)
	      pto1 (polar pt1 pi losg)
              pto2 (polar pto1 0 (+ losg hgb dln losg))
	) ;_ end of setq


					;    
    (defun gbgl ()
	(setq pt2  (polar pt0 (/ pi 2) (/ dgb 2.00))
	      pt3  (polar pt2
			  pi
			  (- hgb (* dgb (- 0.25 (* 0.225 (cos (/ pi 6))))))
		   ) ;_ end of polar
	      pt4  (polar pt3
			  (/ (* pi 4) 3)
			  (* dgb (- 0.50 (* 0.45 (cos (/ pi 6)))))
		   ) ;_ end of polar
	      pt7  (polar pt0 (/ (* pi 3) 2) (/ dgb 2.00))
	      pt6  (polar pt7
			  pi
			  (- hgb (* dgb (- 0.25 (* 0.225 (cos (/ pi 6))))))
		   ) ;_ end of polar
	      pt5  (polar pt6
			  (/ (* pi 2) 3)
			  (* dgb (- 0.50 (* 0.45 (cos (/ pi 6)))))
		   ) ;_ end of polar
	      pt8  (polar pt0 (/ pi 2) (/ dgb 4.00))
	      pt9  (polar pt8
			  pi
			  (- hgb (* dgb (- 0.25 (* 0.225 (cos (/ pi 6))))))
		   ) ;_ end of polar
	      pt10 (polar pt9
			  (/ (* pi 2) 3)
			  (* dgb (- 0.50 (* 0.45 (cos (/ pi 6)))))
		   ) ;_ end of polar
	      pt11 (polar pt0 (/ (* pi 3) 2) (/ dgb 4.00))
	      pt12 (polar pt11
			  pi
			  (- hgb (* dgb (- 0.25 (* 0.225 (cos (/ pi 6))))))
		   ) ;_ end of polar
	      pt13 (polar pt12
			  (/ (* pi 4) 3)
			  (* dgb (- 0.50 (* 0.45 (cos (/ pi 6)))))
		   ) ;_ end of polar
	) ;_ end of setq
	(osn)
	(command "_line" pt7 pt2 "")
         (if (eq label nil)
	     (setq label (entlast)
	           sset  (ssadd (entlast))
	         ) ;_ end of setq 
          )
	(command "_line" pt2 pt3 pt4 pt5 pt6 pt7 ""
		   "_line" pt8 pt9 pt10 ""
		   "_line" pt11 pt12 pt13 ""
		   "_arc" pt9 pt1 pt12
	)				;  
					;    


   ) ;_ end of defun gbgl 

;;;;;;;;;;;;;;;;;;;    ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

  (defun gbsb () 
	(setq pt88  (polar pt0 (/ pi 2) (/ sgb 2.00))
	      pt89  (polar pt0 (/ (* pi 3) 2) (/ sgb 2.00))
	      pt90  (polar pt88
			  pi
			  (- hgb (* dgb (- (/ 0.25 (cos (/ pi 6))) 0.225)))
		   ) ;_ end of polar
	      pt91  (polar pt89
			  pi
			  (- hgb (* dgb (- (/ 0.25 (cos (/ pi 6))) 0.225)))
		   ) ;_ end of polar
	      pt92  (polar pt0
			  pi
			  (- hgb (* dgb (- (/ 0.25 (cos (/ pi 6))) 0.225)))
		   ) ;_ end of polar
	      pt93  (polar pt0
			  (/ pi 2)
			  (/ (/ (* dgb (cos (/ pi 6))) 2.0000) 2.00)
		   ) ;_ end of polar
	      pt94 (polar pt0
			  (/ (* pi 3) 2)
			  (/ (/ (* dgb (cos (/ pi 6))) 2.00) 2.00)
		   ) ;_ end of polar
	      pt95  (polar pt93 pi hgb)
	      pt96  (polar pt94 pi hgb)
	) ;_ end of setq
	(osn)
	(command "_line" pt95 pt96 "")
         (if (eq label nil)
	     (setq label (entlast)
	           sset  (ssadd (entlast))
	         ) ;_ end of setq 
          )
	(command "_line" pt91 pt89 pt88 pt90 ""
		   "_line" pt0 pt92 ""
		   "_arc" pt90 pt95 pt92
		   "_arc" pt92 pt96 pt91
	)				;  
					;    
   ) ;_ end of defun gbsb
;;;;;;;;;;;;;;;;;;;;;;;   tr5;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    (defun gv5 ()
	(setq pt128 (polar pt0 (/ pi 2) (/ dgb 2.00))
	      pt129 (polar pt128 pi hgb)
	      pt130 (polar pt129
			 (/ (* pi 3) 2)
			 (/ (- dgb sgb) 2.00)
		  ) ;_ end of polar
	      pt131 (polar pt130 0 hnb)
	      pt132 (polar pt0 (/ (* pi 3) 2) (/ dgb 2.00))
	      pt133 (polar pt132 pi hgb)
	      pt134 (polar pt133
			 (/ pi 2)
			 (/ (- dgb sgb) 2.00)
		  ) ;_ end of polar
	      pt135 (polar pt134 0 hnb)
	) ;_end of setq

	(osn)
	(command "_line" pt128 pt129 "")
         (if (eq label nil)
	     (setq label (entlast)
	           sset  (ssadd (entlast))
	         ) ;_ end of setq 
          )
	(command "_line" pt129 pt130 pt131 pt135 pt134 pt133 pt132 pt128 "")
     );_end of gv5
;;;;;;;;   tr6;;;;;;;;;;;;;;;;;;;
    (defun gv6 ()
	(setq pt136  (polar pt0 pi hgb)
	      pt137  (polar pt0 (/ pi 2) (/ dgb 2.00))
	      pt138  (polar pt137 pi h1gb)
	      pt139  (polar pt136 (/ pi 2) (/ sgb 2.00))
	      pt140  (polar pt139 0 hnb)
	      pt141  (polar pt0 (/ (* pi 3) 2) (/ dgb 2.00))
	      pt142  (polar pt141 pi h1gb)
	      pt143  (polar pt136 (/ (* pi 3) 2) (/ sgb 2.00))
	      pt144  (polar pt143 0 hnb)
	) ;_ end of setq
	(osn)
	(command "_line" pt137 pt138 "")
         (if (eq label nil)
	     (setq label (entlast)
	           sset  (ssadd (entlast))
	         ) ;_ end of setq 
          )
	(command "_line" pt142 pt141 pt137 ""
		   "_line" pt143 pt144 pt140 pt139 ""
		   "_arc" pt138 "_e" pt139 "_r" rgb
		   "_arc" pt143 "_e" pt142 "_r" rgb
	 )				;    
      ) ;_ end of defun gv6
;;;;;;;;;;;;;   tr9;;;;;;;;;;;;;;;;;;;;;;;;
    (defun gv9 ()
	(setq pt145   (polar pt0 (/ pi 2) (/ dgb1 2.0))
	      pt146   (polar pt145 pi hgb1)
	      pt147   (polar pt146 (/ (* pi 3) 2) dgb1)
	      pt148   (polar pt147 0 hgb1)
	      pt149   (polar pt0 pi hgb1)
	      pt150   (polar pt149 (/ pi 2) (/ dgb 2.0))
	      pt151   (polar  pt150 pi
		              (- hgb
			           (/ (- (/ dgb 2.0) (* sgb 0.45)) (cos (/ pi 6)) 2.0)
		               ) ;_ end of -
		         ) ;_ end of polar
	      pt152   (polar pt151  (/ (* pi 4) 3)
			        (/ (- (/ dgb 2.0) (* sgb 0.45)) (cos (/ pi 6)))
		         ) ;_ end of polar
	      pt153   (polar pt149 (/ (* pi 3) 2) (/ dgb 2.0))
	      pt154   (polar  pt153 pi
		              (- hgb
			           (/ (- (/ dgb 2.00) (* sgb 0.45)) (cos (/ pi 6)) 2.00)
		               ) ;_ end of -
		         ) ;_ end of polar
	      pt155   (polar pt154  (/ (* pi 2) 3)
			         (/ (- (/ dgb 2.0) (* sgb 0.45)) (cos (/ pi 6)))
		         ) ;_ end of polar
	      tgb   (/ (* (sqrt (- 1 (/ (expt sgb 2) (expt dgb 2)))) dgb) sgb)
	      tgbt  (atan tgb)
	      pt156 (polar pt149 (/ pi 2)
			       (* (/ dgb 2.0) (sin (- (/ pi 4) tgbt)))
		         ) ;_ end of polar
	      pt157 (polar pt156  pi
			       (- hgb
			           (/ (- (/ dgb 2.00) (* sgb 0.45)) (cos (/ pi 6)) 2.0))
		         ) ;_ end of polar
	      pt158 (polar pt157 (/ (* pi 4) 6)
			       (/ (- (/ dgb 2.0) (* sgb 0.45)) (cos (/ pi 6)))
		         ) ;_ end of polar
	      pt159 (polar pt149 (/ (* pi 3) 2)
			       (* (/ dgb 2.0) (sin (- (/ pi 4) tgbt)))
		         ) ;_ end of polar
	      pt160 (polar pt159 pi
			       (- hgb (/ (- (/ dgb 2.0) (* sgb 0.45)) (cos (/ pi 6)) 2.0))
		         ) ;_ end of polar
	      pt161 (polar pt160 (/ (* pi 8) 6)
			       (/ (- (/ dgb 2.00) (* sgb 0.45)) (cos (/ pi 6)))
		         ) ;_ end of polar
	) ;_ end of setq
	(osn)
	(command "_line" pt145 pt146 "")
         (if (eq label nil)
	     (setq label (entlast)
	           sset  (ssadd (entlast))
	         ) ;_ end of setq 
          )
	(command "_line" pt146 pt147 pt148 pt145 ""
	         "_line" pt150 pt151 pt152 pt158 pt157 pt156 ""
		   "_line" pt159 pt160 pt161 pt155 pt154 pt153 ""
		   "_line" pt158 pt161 ""
		   "_line" pt157 pt160 ""
	  ) ;_ end of command    1488 
      ) ;_ end of gv9

;;;;;;;;;;;    11738 tr10;;;;;;;;;;;;;;;;;

    (defun gv10 ()
	(setq pt162 (polar pt0 (/ pi 2) (/ dgb 2.0))
	      pt163 (polar pt162 pi hgb)
	      pt164 (polar pt0 (/ (* pi 3) 2) (/ dgb 2.0))
	      pt165 (polar pt164 pi hgb)
	) ;_end of setq
	(osn)
	(command "_line" pt162 pt163 "")
         (if (eq label nil)
	     (setq label (entlast)
	           sset  (ssadd (entlast))
	         ) ;_ end of setq 
          )
	(command "_line" pt163 pt165 pt164 pt162 "")
				;      11738 
      ) ;_ end of defun gv10
;;;;;;;;;;;   tr7 tr8;;;;;;;;;;;;;;;;;
    (defun gv78 ()
	(setq pt166  (polar pt0 (/ pi 2) (/ dgb 2.0))
	      pt167  (polar pt166 0 h1gb)
	      pt168  (polar pt0 (/ (* pi 3) 2) (/ dgb 2.0))
	      pt169  (polar pt168 0 h1gb)
	      pt170  (polar pt0 (/ (* pi 3) 2) (/ sgb 2.0))
	      pt171  (polar pt0 (/ pi 2) (/ sgb 2.0))
	      pt172  (polar pt169 (/ pi 4) (* (/ (- dgb dmt) 2.0) (sqrt 2.00)))
	      pt173  (polar pt167
			        (* (/ pi 4) 7)
			        (* (/ (- dgb dmt) 2.00) (sqrt 2.00))
		        ) ;_ end of polar
	 ) ;_ end of setq
	(if (eq bolt "07")
	       (setq pt174 (polar pt170 pi hgb)
		       pt175 (polar pt171 pi hgb)
	        ) ;_ end of setq
	       (setq pt174   (polar pt170 0 h1gb)
		       pt175   (polar pt171 0 h1gb)
		       pt176   (polar pt170 0 hgb)
		       pt177   (polar pt171 0 hgb)
	       ) ;_ end of setq
	) ;_end of if
	(osn)
	(if (eq bolt "07")
          (progn 
	       (command "_line" pt166	pt168 "")
             (if (eq label nil)
	           (setq label (entlast)
	                 sset  (ssadd (entlast))
	              ) ;_ end of setq 
               )
	       (command "_line" pt171	pt175	""
		          "_line"	pt170	pt174	""
		          "_arc"	pt166	"_e" pt175 "_r" rgb
		          "_arc"	pt174 "_e" pt168 "_r" rgb
	       ) ;_ end of command
	      ) ;_end of progn    17474 
	    (progn
	       (command "_line"	pt174	pt169 "")
             (if (eq label nil)
	           (setq label (entlast)
	                 sset  (ssadd (entlast))
	              ) ;_ end of setq 
               )
	       (command "_line"	pt168	pt170	pt176	pt177	pt175	pt167	pt166	pt171	pt175	""
		          "_line"	pt167	pt173	pt172	pt169 pt168	""
	        ) ;_ end of command
	      );_end of progn    17475 
	) ;_end of if
  ) ;_end of gv78

;;;;;;;;;;;;;;;;;;;;;;  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

  (cond ((and (or (eq bolt "01") (eq bolt "02") 
                  (eq bolt "03") (eq bolt "04"))
              (eq g_lv "1")) 
         (gbgl))
        ((and (or (eq bolt "01") (eq bolt "02") 
                  (eq bolt "03") (eq bolt "04"))
              (eq v_sb "1")) 
         (gbsb))
        ((and (eq bolt "05")
              (or (eq g_lv "1")(eq v_sb "1"))) 
         (gv5))
        ((and (eq bolt "06")
              (or (eq g_lv "1")(eq v_sb "1"))) 
         (gv6))
        ((and (or (eq bolt "07") (eq bolt "08"))
              (or (eq g_lv "1")(eq v_sb "1"))) 
         (gv78))
        ((and (eq bolt "09")
              (or (eq g_lv "1")(eq v_sb "1"))) 
         (gv9))
        ((and (eq bolt "10")
              (or (eq g_lv "1")(eq v_sb "1"))) 
         (gv10))
     );_end of cond


  (prin1)
 ) ;_ end of defun gbgv 


;;;;;;;;;;;;;;;;;;;;;;  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 (defun upg () 

      (lay_o)      

   (cond ((and (eq sgg4 "1") (eq g_lv "1"))
          (setq  drg6 (* (/ dmt 2.0) (/ (sin (/ pi 36)) (cos (/ pi 36))))) 
          )
         ((and (eq sgg4 "1") (eq v_sb "1"))
          (setq  drg6 (- (- tlshg1 tlshg)))
          ) 
         ((eq sgg4 nil) 
          (setq drg6 0.0)
          )
    )

  (if (eq tlshg 0.0) (setq tlshg1 0.0 tlshg2 0.0))
  (setq rstn (- (+ tlshb t_l drg6) (- dln dln1))
        pt0  (polar cpt pi tlshb) 
      ;  pt0v (polar pt0 (/ pi 2) (/ dmt 2.0)) 
        pt0vv (polar pt0 (/ pi 2) (/ dvt 2.0))
        pt0n (polar pt0 (- (/ pi 2)) (/ dmt 2.0)) 
        pt0nn (polar pt0 (- (/ pi 2)) (/ dvt 2.0))
        pt14 (polar pt0 (/ pi 2) (+ (/ dmt 2.0) rsp)) 
        pt15 (polar pt0 (*  3 (/ pi 2)) (+ (/ dmt 2.0) rsp))
        pt16 (polar pt14 (- (/ pi 4)) (* rsp (sqrt 2.0)))
        pt17 (polar pt15 (/ pi 4) (* rsp (sqrt 2.0))) 
        cpo1 (polar pt0 0 (+ tlshb t_l))
        cpo1-1 (polar pt0 0 (- (+ tlshb t_l) (- tlshg1 tlshg))) 
    )
  (if (and (eq sgg4 "1") (eq v_sb "1")) 
      (setq pt18 (polar cpo1-1 (/ pi 2) (/ dmt 2.0)) 
            pt19 (polar cpo1-1 (- (/ pi 2)) (/ dmt 2.0)) 
       )
      (setq pt18 (polar cpo1 (/ pi 2) (/ dmt 2.0)) 
            pt18-1 (polar pt18 pi (* (/ dmt 2.0) (/ (sin (/ pi 36)) (cos (/ pi 36)))))
            pt19 (polar cpo1 (- (/ pi 2)) (/ dmt 2.0)) 
            pt19-1 (polar pt19 0 (* (/ dmt 2.0) (/ (sin (/ pi 36)) (cos (/ pi 36)))))
       ) 
   );_end of if
  (setq  pt21 (polar pt0n 0 (- dln dln1)))
 
 (if (and (< rstn (* drg6 2)) (eq sgg4 "1")) 
     (setq pt20 (polar pt21 (/ pi 2) (/ (* rstn (cos (/ pi 36))) (sin (/ pi 36))))) 
     (setq pt20 (polar pt21 (/ pi 2) dmt)) 
  ) ;_end of if
 (setq  pt22 (polar pt20 (- (/ pi 2)) (/ (- dmt dvt) 2))
        pt23 (polar pt21 (/ pi 2) (/ (- dmt dvt) 2))
        pt24 (polar pt18 (- (/ pi 2)) (/ (- dmt dvt) 2)) 
        pt24-1 (polar pt24 pi (* (/ dvt 2.0) (/ (sin (/ pi 36)) (cos (/ pi 36)))))
        pt25 (polar pt19 (/ pi 2) (/ (- dmt dvt) 2)) 
        pt25-1 (polar pt25 0 (* (/ dvt 2.0) (/ (sin (/ pi 36)) (cos (/ pi 36)))))
    ) ;_end of setq 
    (if (eq bolt "07")
	(setq pt166  (polar pt0 (/ pi 2) (/ dgb 2.0))
	      pt167  (polar pt166 0 h1gb)
	      pt168  (polar pt0 (/ (* pi 3) 2) (/ dgb 2.0))
	      pt169  (polar pt168 0 h1gb)
	      pt172  (polar pt169 (/ pi 4) (* (/ (- dgb dmt) 2.0) (sqrt 2.00)))
	      pt173  (polar pt167
			        (* (/ pi 4) 7)
			        (* (/ (- dgb dmt) 2.00) (sqrt 2.00))
		        ) ;_ end of polar
	 ) ;_ end of setq 
     );_end of if

   (if (eq sg4 "1") 
       (setq drg1 (- t_l (* (/ dmt 2.0) (/ (sin (/ pi 36)) (cos (/ pi 36)))))
             drg2 (+ t_l (* (/ dmt 2.0) (/ (sin (/ pi 36)) (cos (/ pi 36))))) 
             drg3 (+ tlshb (* (/ dvt 2.0) (/ (sin (/ pi 36)) (cos (/ pi 36))))) 
             drg4 (- tlshb (* (/ dvt 2.0) (/ (sin (/ pi 36)) (cos (/ pi 36))))) 
             drg5 (+ tlshb2 (* (/ (- dmtshb dmt) 2.0) (/ (sin (/ pi 36)) (cos (/ pi 36))))) 
        ) 
       (setq drg1 t_l drg2 t_l drg3 tlshb drg4 tlshb drg5 0.0) 
    )
   (if (or (eq bolt "07") (eq bolt "08"))
       (setq pt00 (polar pt0 0 (+ h1gb (/ (- dgb dmt) 2.0))))
     )

   (cond ((and (/= bolt "07") (/= bolt "08") (eq g_lv "1"))
         (setq  pt22v (polar pt0vv 0 drg3)
                pt23v (polar pt0nn 0 drg4) 
           )
          )
         ((and (/= bolt "07") (/= bolt "08") (eq v_sb "1"))
          (setq  pt22v (polar pt0vv 0 tlshb1)
                 pt23v (polar pt0nn 0 tlshb1) 
           )
          )
        ((or (eq bolt "07") (eq bolt "08")) 
         (setq  pt22v (polar pt00 (/ pi 2) (/ dvt 2.0))
                pt23v (polar pt00 (- (/ pi 2)) (/ dvt 2.0))
          )
         )
    )


 (cond
   ((and (/= tlshb 0.0) (eq g_lv "1"))
       (setq pt26 (polar pt18 pi drg1) 
             pt27 (polar pt19 pi drg2) 
        ))
   ((and (/= tlshb 0.0) (eq v_sb "1") (eq sg4 nil) (eq sgg4 nil))
       (setq pt26 (polar pt18 pi t_l) 
             pt27 (polar pt19 pi t_l) 
        ))
   ((and (/= tlshb 0.0) (eq v_sb "1") (eq sg4 "1") (eq sgg4 nil))
       (setq pt26 (polar pt18 pi (- t_l (- tlshb1 tlshb))) 
             pt27 (polar pt19 pi (- t_l (- tlshb1 tlshb))) 
        ))
   ((and (/= tlshb 0.0) (eq v_sb "1") (eq sg4 nil) (eq sgg4 "1"))
       (setq pt26 (polar pt18 pi (- t_l (- tlshg1 tlshg))) 
             pt27 (polar pt19 pi (- t_l (- tlshg1 tlshg))) 
        ))
   ((and (/= tlshb 0.0) (eq v_sb "1") (eq sg4 "1") (eq sgg4 "1"))
       (setq pt26 (polar pt18 pi (- t_l (- tlshb1 tlshb) (- tlshg1 tlshg))) 
             pt27 (polar pt19 pi (- t_l (- tlshb1 tlshb) (- tlshg1 tlshg))) 
        ))
   ((and (eq tlshb 0.0) (/= bolt "07") (/= bolt "08") (eq sgg4 nil))
       (setq pt26 (polar pt18 pi (- t_l rsp)) 
             pt27 (polar pt19 pi (- t_l rsp))
        ))
   ((and (eq tlshb 0.0) (/= bolt "07") (/= bolt "08") (eq sgg4 "1") (eq v_sb "1"))
       (setq pt26 (polar pt18 pi (- t_l rsp (- tlshg1 tlshg))) 
             pt27 (polar pt19 pi (- t_l rsp (- tlshg1 tlshg)))
        ))
   ((and (eq tlshb 0.0) (/= bolt "07") (/= bolt "08") (eq sgg4 "1") (eq g_lv "1"))
       (setq pt26 (polar pt18 pi (- t_l rsp)) 
             pt27 (polar pt19 pi (- t_l rsp))
        ))
   ((and (eq tlshb 0.0) (or (eq bolt "07") (eq bolt "08")))
       (setq pt26 (polar pt00 (/ pi 2) (/ dmt 2.0)) 
             pt27 (polar pt00 (- (/ pi 2)) (/ dmt 2.0))
        ))
   );_end of cond

    (if (or (eq sgg4 nil) (and (eq sgg4 "1") (eq v_sb "1")))
        (progn 
              (command "_line" pt26 pt18 "" )
              (if (eq label nil)
	          (setq label (entlast)
	                sset  (ssadd (entlast))
	           ) ;_ end of setq 
              )
             (command "_line" pt27 pt19 "" ) 
         )
        (progn 
               (command "_line" pt26 pt18-1 "" )
               (if (eq label nil)
	           (setq label (entlast)
	                sset  (ssadd (entlast))
	           ) ;_ end of setq 
               )
               (command "_line" pt27 pt19-1 "" ) 
        )
     )

    (if (and (/= dln dln1) (> (- dln dln1) drg5) (< (- dln dln1) (+ tlshb t_l drg6)))
        (progn (command "_line" pt20 pt21 "")
               (ton) 
               (if (or (eq sgg4 nil) (and (eq sgg4 "1") (eq v_sb "1")))
                   (command "_line" pt22 pt24 "" "_line" pt23 pt25 "") 
                   (progn (command "_line" pt23 pt25-1 "") 
                          (if (> (distance pt21 pt20) (+ (/ (- dmt dvt) 2) dvt)) 
                              (command "_line" pt22 pt24-1 "") 
                           ) 
                    )
                )
               (osn) 
          )
        (progn (ton)
               (if (or (eq sgg4 nil) (and (eq sgg4 "1") (eq v_sb "1")))
                   (progn (if (< (- dln dln1) (+ tlshb t_l drg6)) 
                              (command "_line" pt22v pt24 "" "_line" pt23v pt25 "") 
                           ) 
                    )
                   (progn (if (< (- dln dln1) (+ tlshb t_l drg6)) 
                              (command "_line" pt22v pt24-1 "" "_line" pt23v pt25-1 "")  
                           ) 
                    )
                )
               (osn) 
          )
     )
    (if (and (eq tlshb 0.0) (/= bolt "07") (/= bolt "08")) 
        (command "_arc" pt14 "_e" pt16 "_r" rsp "_arc" pt17 "_e" pt15 "_r" rsp) 
                ; "_line" pt16 pt26 "" "_line" pt17 pt27 "") 
     )
    (if (eq bolt "07") 
        (command "_line" pt168 pt169 pt172 pt173 pt167 pt166 "" 
                 "_line" pt167 pt169 "") 
     )

  ) ;_end of upg


;;;;;;;;;;;;;;;;;;;;;;    ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 (defun knc () 

      (lay_o)      

      (if (< hgb 5.0) 
          (setq losg 2.0) 
          (setq losg (/ hgb 2.0)) 
       ) ;_end of if
  (setq pt0  (polar cpt pi tlshb) 
        cpo1 (polar pt0 0 (+ tlshb t_l))
        pt1  (polar pt0 pi hgb)
        pto1 (polar pt1 pi losg)
        pto2 (polar pto1 0 (+ losg hgb dln losg))
        pt35 (polar pt0 0 (+ tlshb t_l tlshg hgg hgg2))
        pt36 (polar pt35 (/ pi 2) (/ dmt 2.0))
        pt37 (polar pt35 (- (/ pi 2)) (/ dmt 2.0))   
        pt38 (polar pt35 (/ pi 2) (/ dvt 2.0))   
        pt39 (polar pt35 (- (/ pi 2)) (/ dvt 2.0))   
        pt40 (polar pt36 0 (- dln tlshb tlshg t_l hgg hgg2 fsk))
        pt41 (polar pt37 0 (- dln tlshb tlshg t_l hgg hgg2 fsk)) 
        pt42 (polar pt40 (- (/ pi 4)) (/ fsk (cos (/ pi 4))))
        pt43 (polar pt41 (/ pi 4) (/ fsk (cos (/ pi 4))))
        pt44 (polar pt40 (- (/ pi 4)) (/ (/ (- dmt dvt) 2.0) (cos (/ pi 4))))
        pt45 (polar pt41 (/ pi 4) (/ (/ (- dmt dvt) 2.0) (cos (/ pi 4))))
    ) ;_end of setq 

 
  


    (command "_line" pt36 pt40  "")

              (if (eq label nil)
	          (setq label (entlast)
	                sset  (ssadd (entlast))
	           ) ;_ end of setq 
              )

    (command "_line" pt40 pt42 pt43 pt41 pt37 "" "_line" pt40 pt41 "" )

    (ton)
    (command "_line" pt38 pt44 "" "_line" pt39 pt45 "") 
    (osn) 


  ) ;_end of knc


;;;;;;;;;;;;;;;;;;;;;;  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;     ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 (defun vnbsg ()

      (lay_o)      

    (if (eq g_ks "0")
	  (setq  pt194  (polar cpt 0 (+ (/ dmt 2.0) 3))
	         pt195  (polar cpt pi (+ (/ dmt 2.0) 3))
	         pt196  (polar cpt (/ (* pi 3) 2) (+ (/ dmt 2.0) 3))
	         pt197  (polar cpt (/ pi 2) (+ (/ dmt 2.0) 3)) 
         );_end of setq 
     );_end of if
    (if (or (and (eq g_ks "1") (eq s_hg "0"))
            (and (eq g_ks "1") (eq s_hg "1") (< dmtshg dgg)) 
         );_end of or
	  (setq  pt194  (polar cpt 0 (+ (/ dgg 2.0) 3))
	         pt195  (polar cpt pi (+ (/ dgg 2.0) 3))
	         pt196  (polar cpt (/ (* pi 3) 2) (+ (/ dgg 2.0) 3))
	         pt197  (polar cpt (/ pi 2) (+ (/ dgg 2.0) 3)) 
         );_end of setq 
     );_end of if
    (if (and (eq g_ks "1") (eq s_hg "1") (>= dmtshg dgg)) 
	  (setq  pt194  (polar cpt 0 (+ (/ dmtshg 2.0) 3))
	         pt195  (polar cpt pi (+ (/ dmtshg 2.0) 3))
	         pt196  (polar cpt (/ (* pi 3) 2) (+ (/ dmtshg 2.0) 3))
	         pt197  (polar cpt (/ pi 2) (+ (/ dmtshg 2.0) 3)) 
         );_end of setq 
     );_end of if



        (setq  pts    (polar cpt (/ pi 3) (/ dvt 2.0))
	         pte    (polar cpt (/ (* pi 11) 6) (/ dvt 2.0))
         )	
     (osn)
     (command "_circle" cpt (/ dmt 2.0))
              (if (eq label nil)
	          (setq label (entlast)
	                sset  (ssadd (entlast))
	           ) ;_ end of setq 
              ) 
    (ton)
    (command "_arc" "_c" cpt pts pte)
    (osn)
 
  (if (eq o_si 0)
    (progn
      (axs)
      (command "_line" pt194 pt195 "")
      (command "_line" pt196 pt197 "")
      (osn)
     ) 
   )

 );_end of vnbsg
;;;;;;;;;;;;;;;;;;;;;;      ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;;;;;;;;;;;;;;;;;;;;;; ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 (defun ros ()

      (lay_o)      

    (axs)

      (if (eq bolt "09") (setq dob hgb1) (setq dob 0.0))
      (if (< hgb 5.0) 
          (setq losg (+ 2.0 dob)) 
          (setq losg (+ (/ hgb 2.0) dob)) 
       ) ;_end of if
  (setq pt0  (polar cpt pi tlshb) 
        cpo1 (polar pt0 0 (+ tlshb t_l))
        pt1  (polar pt0 pi hgb)
        pto1 (polar pt1 pi losg)
        pto2 (polar pto1 0 (+ losg hgb dln losg))
   )

    (cond 
        ((and (eq o_si 0) (eq c_hv "1"))
         (progn (command "_line" pto1 pto2 "")
                (if (eq label nil)
	              (setq label (entlast)
	                    sset  (ssadd (entlast))
	               ) ;_ end of setq 
                 ) ;_end of if
          );_end of progn
         )
        ((and (eq o_si 0) (eq n_pt "1"))
         (progn  (command "_line" cpt pto1  "")
                 (if (eq label nil)
	               (setq label (entlast)
	                     sset  (ssadd (entlast))
	                ) ;_ end of setq 
                  ) ;_end of if  
                 (command "_line" cpo1 pto2 "")
          );_end of progn 
         )
        ((and (eq o_si 0) (eq n_pg "1"))
         (progn (command "_line" cpo1 pto2  "")
                (if (eq label nil)
	              (setq label (entlast)
	                    sset  (ssadd (entlast))
	               ) ;_ end of setq 
                 ) ;_end of if
          );_end of progn
         )
        ((and (eq o_si 0) (eq p_tg "1"))
         (progn (command "_line" cpt pto1  "")
                (if (eq label nil)
	              (setq label (entlast)
	                    sset  (ssadd (entlast))
	               ) ;_ end of setq 
                 ) ;_end of if
          );_end of progn         
         ) 
     ) 
  

    (osn) 

  ) ;_end of ros

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    (action_tile "accept" "(yes)")
    (action_tile "cancel" "(no)")

    (start_dialog)	
    (unload_dialog dcl_id)	
  ) ;_ end of defun

  (show)

  (princ)
 ) ;_ end of defun
