;;--------------ROUTINE----------

(defun getlco (/ XX LAY)
  (setq LLIST '())
  (setq XX T) 
  (while (setq LAY (tblnext "LAYER" XX))
    (setq LLIST (append LLIST (list (cdr (assoc 2 LAY)))))
    (setq XX nil)
  )					;while
  (if (<= (length LLIST) (getvar "maxsort"))
      (setq LLIST (acad_strlsort LLIST))
  )					;if
)					;end defun

;;------------ROUTINE----------

(defun layli (VALN)
  (set_tile "error" "")
  (setq LNOM (nth (atoi VALN) LLIST))
  (set_tile "EDITLA" LNOM)
)					;end defun

;;------------ROUTINE----------

(defun laedit (VAL)
  (set_tile "error" "")
  (setq VAL (strcase VAL))
  (setq LNOM VAL)
  (new_dialog "new" dclid)
  (action_tile "accept" "(new_add)")
  (action_tile "cancel" "(res-lay)")
  (start_dialog)
)					;defun

;;----------ROUTINE ADD LAYER------------

(defun new_add () (setq adnew "brian") (done_dialog 1))

(defun res-lay () (setq LNOM VAL) (done_dialog 0))

;;----------ROUTINE----------

(defun siok ()
  (if (= (get_tile "error") "") (done_dialog 1)) ;if
)					;defun

;;---------MAIN PROGRAM-----------------------------

(DEFUN C:DDCHLAY (/ LLIST XX LAY VALN VAL DCLID)
  (command "_undo" "_g")
  (setq xp_oer *error* *error* xp_err) 
  (setq xp_oce (getvar "cmdecho"))	; save value of cmdecho
  (setvar "cmdecho" 0)			; turn cmdecho off
  ;;----------------------
  (setq A (SSGET)) 
  (if
    A 
    (progn
      (setq ADNEW nil)
      (setq CHLAY nil)
      (GETLCO)
      (setq DCLID (load_dialog "DDCHLAY.DCL")) 
      (if (not (new_dialog "GETLAY" DCLID)) 
	  (progn (alert "File DDCHLAY.DCL not found!") (EXIT)) ;progn
      )					;if
      (set_tile "COUCOU" (getvar "clayer"))
      (setq LNOM (getvar "clayer"))
      (start_list "LAYLIS")
      (mapcar 'add_list LLIST)
      (end_list)
      (set_tile "EDITLA" (getvar "clayer"))
      (action_tile "LAYLIS" "(LAYLI $value)")
      (action_tile "EDITLA" "(LAEDIT $value)")
      (action_tile "accept" "(SIOK)")
      (action_tile "cancel" "(setq LNOM nil)(done_dialog 0)") 
      (if (= (start_dialog) 1) 
	  (progn
	    (set_tile "EDITLA" LNOM)
	    (if (= adnew "brian") (command "_layer" "_n" lnom ""))
	    (setq B LNOM) 
	    (if (= nil (TBLSEARCH "LAYER" B)) 
		(progn
		  (alert "Selected layer does not exist!")
		  (setq CHLAY "bm")
		  (princ "\nProperties unchanged!")
		)			;progn
	    )				;if 
	    (if (= CHLAY nil) (command "_chprop" A "" "_la" B ""))
	  )				;progn
      )					;if
    )					;progn
  )					;if
  (command "_undo" "_e")
  (princ)
)					; end ddchlay.lsp

(princ)

