;***********************************************************************
;                            doveski.lsp                               *
;                                 & doveski.dcl                        *
;               Copyright by PG (Genchik Pospelov)                     *
;                             AutoCAD r.14-15                       *
;                             2002                              * 
;                                                       *
;                   E-Mail: gepos@mail.ru  cadhlp@kulichki.com         *
;***********************************************************************

;;;-------------> MAIN FUNCTION <---------------------------------------
(defun c:doveski(/  $value	info_dov      old_snap  pg_sld x2 y2)

 (setq old_snap  (getvar "osmode") )    
 (setvar "osmode"   0)
 (setvar "blipmode" 0)
 (setvar "cmdecho"  0)
 (setq 
      info_dov (list
		 "          -   \" -1\" - " " "
                 "    -1    2002 "
                 "             "
                 "   .   "
                 "  -  "
		 "     "
                 "   .  "
                 "     ' '"
		 "       "
                 "  ,   "  " "
		 "    http://cadhlp.kulichki.net "
                 "                             CAD Help by PG"   "  "
		 "   -  .  "
                 "          Copyright  \"SingleSoft PG\" "
                 "                   mailto:gepos@mail.ru, cadhlp@kulichki.com   "
                )
  )
  
 ;; open window functions 
 (setq DCL_ID (load_dialog "doveski.dcl"))
 (if (not (new_dialog "dov_txt" dcl_id)) (exit))

 (start_list "ab_progr")
 (mapcar 'add_list info_dov)
 (end_list)

  (setq	x2 (dimx_tile "pg_sld")
	y2 (dimy_tile "pg_sld")
   )

  (start_image "pg_sld")
  (fill_image 0 0 x2 y2 5)
  (slide_image 0 0 x2 y2 "pg.sld")
  (end_image)




 (action_tile  "accept" "(done_dialog)")
 (start_dialog)

 (unload_dialog dcl_id)  ;; unload

 (setvar "blipmode" 1)   ;; end-return operation
 (setvar  "cmdecho" 1)
 (setvar   "osmode" old_snap)

 (princ)
)
;;;---------> THE  END <------------------------------------------
