;;;-----------> MTRL.LSP <------------------------------------------
;;;        vrersion 2.0 -03/2001
;;;       
;;;
;;;Copyright  \"SingleSoft PG\" "
;;;mailto:gepos@mail.ru
;;; 
;;; v2.0      2001    
;;;
;;;-------------> HELP <---------------------------------------------
(defun ab_prog (ab_progr /)

  (if (not (new_dialog "ab_text" DCL_ID))
    (exit)
  )
  (start_list "ab_progr")
  (mapcar 'add_list ab_progr)
  (end_list)

  (action_tile "accept" "(done_dialog)")
  (start_dialog)
)
;;;--------------------------------------------------------------------
;;;------------------> PST <-------------------------------------------
(defun pst (pt0 tip dl / p1 p2)

  (setq ptf (list (+ (car pt0) dl) (cadr pt0)))

  (command "_TEXT" "f" pt0 ptf "4.0" tip)

  (if (<= dl 30.0)
    (progn
      (setq p1 (list (+ (car ptf) 2.0) (+ (cadr pnt1) 2.5))
	    p2 (list (+ (car p1) 44.0) (cadr p1))
      )
      (command "LINE" p1 p2 "")
    )					;progn
  )
)
;;;--------------------------------------------------------------------
;;;------------------> IZMEN <--------------------------------------
(defun izmen (a / op_file )
 (setq fil_sp (list "m-00.dat"  ;;  
		    "m-10.dat"  ;;  
		    "m-20.dat"  ;;       1577-93
                    "m-30.dat"  ;;       16523-89  3.9
		    "m-30.dat"  ;;  
		    "m-40.dat"  ;;  
		    "m-50.dat"  ;;  
		    "m-50.dat"  ;;  /  / .   9941-81
                    "m-8639.dat";;     8639-68
                    "dvtr.dat"  ;; 
		    "svlr.dat"  ;;   
		    "svlrp.dat" ;;   
		    "svlrg.dat" ;;  
		    "ugrp.dat"  ;;  
		    "ugnp.dat"  ;;  
		    "ugrg.dat"  ;;   
		    "ugng.dat"  ;;   
	       ) 
        fil  (findfile(nth a fil_sp))
 )
 (setq op_file (open fil "r"))
 (setq     str (read-line op_file)
     spisok_sz (read str)
   )
 (start_list "tip_size" 3)
 (mapcar 'add_list spisok_sz) 
 (end_list)
 
 (close op_file)
 (if (= a 7)
       (progn 
    (start_list "mat_d" 3)
    (mapcar 'add_list mat_spk) 
    (end_list)
  )
 )
 (if (= a 8)
       (progn 
    (start_list "mat_d" 3)
    (mapcar 'add_list mat_sp10) 
    (end_list)
  )
 )
 

)
;;;--------------------------------------------------------------------
;;;------------------> MATERIAL <--------------------------------------
(defun c:mtrl (/ $value	    ce	   bm	    osm
	       t_size
	       tip
	       tip_size
               sortam
	       sortam_d
	       krug_g     krug_k
	       pipe_g     pipe_k
	       list_g     list_k
	       mat_d
	       mat_sp      	    ;;    
	       mat_sp2	            ;;    
               mat
	       marka                  ;;  
	       spisok               ;; spisok from sortam2
	       ;spisok_sz
	       dl1        dl2       ;;     
	       str1 str2 str3       ;;  
	      )

   (setq info_pr
	 (list
	   "             "
           "                         - "
           " _____________________________________________________ "
	   "      "
           " "
	   "      "
	   "   .  "
	   "        "
	   " . "
	   "  "
	   "   -  .  "
	   " 2  1999."
           "  2,0  2001"
	   "          Copyright  \"SingleSoft PG\" "
	   "                             mailto:gepos@mail.ru "
           " http://www.kulichki.com/cadhlp "
           " "
	  )
	
	;;-----    --------------------------------
	sortam
	 (list
	   "     2590-88"
	   "      7417-75"
	   "    19903-74    1577-93"
	   "    19903-74    16523-89"
	   "   19904-74"
	   "     8732-78"
	   "    8734-78"
	   " /  /  .   9941-81"         ;-7
           "     8639-68"
	   "    8239-72"
	   "    8240-72"
	   "  .   8240-72"
	   "   8278-83"
	   "      8509-72"
	   "    8510-72"
	   "       19771-74"
	   "     19772-74"
	  )
	;;-----    2 -------------------------------
	sortam2
	 (list
	   '("" " "      "-" "  2590-88"  " "      " "  "  1050-88")
	   '("" " "      "-4" "  7417-75"  " "      "-" "  1051-73")
	   '("" "--" " "  "  19903-74" " "      " "  "  1577-93")
	   '("" "--" " "  "  19903-74" "350 " " "  "  16523-86")
	   '("" "--" " "  "  19904-74" "350 " " "  "  16523-86")
	   '("" " "     " "  "  8732-75"  " "    " "  "  8731-87")
	   '("" " "     " "  "  8734-75"  " "    " "  "  8733-87")
	   '("" " "    " "  " - "             " "    " "  "  9941-81") ;; .
	   '("" " "    " "  " - "             " "    " "  " 8639-68") ;;  
	   '("" " "   " "  "  8239-89"  " "     " "  "  535-88")
	   '("" " "   " "  "  8240-72"  " "     " "  "  535-88")
	   '("" " "   " "  "  8240-72"  " "     " "  "  535-88")
	   '("" " "   " "  "  8278-83"  " "     " "  "  535-88")
	   '(""  " "   "-"  "  8509-86"  " "     " "  "  535-88")
	   '(""  " "   "-"  "  8510-86"  " "     " "  "  535-88")
	   '(""  " "   "-"  "  19771-74" " "     " "  "  535-88")
	   '(""  " "   "-"  "  19772-74" " "     " "  "  535-88")
	  )
	;;-----   ----------------------------------------------
	mat_sp
	 (list
           ".3"  ".5" ".6"
	   "10"	     "20"     "35"     "45"     "50"
	   "40X"    
	   )
	 ;;-----   ----------------------------------------------
	mat_sp2
	 (list
	   ".3"  ".5" ".6"
	   "10"	     "20"     "35"     "45"     "50"
	   "40X"        
	   )
         ;;-----   ----------------------------------------------
	mat_sp10
	 (list "10"   "20"
           ) 
         ;;-----   ----------------------------------------------
	mat_spk
	 (list
	     "121810"  "0818H10"   "1217"  "0817"  
          )
  ) 
	
 ;;          
  (setq	ce  (getvar "CMDECHO")
	bm  (getvar "BLIPMODE")
	osm (getvar "OSMODE")
  )
  (setq	t_size 0
	   tip 0
     ;spisok_sz (izmen 0)
	   dl1 12.0
	   dl2 40.0
	   mat 0
	
  )
  (izmen 0)
  ;;  
  (setvar "CMDECHO" 0)
  (setvar "BLIPMODE" 0)
  
  ;;
  ;; open window functions 
  (setq DCL_ID (load_dialog "mtrl.dcl"))
  (if (not (new_dialog "mtrl1" dcl_id))
    (exit)
  )


  (start_list "sortam_d" 3) (mapcar 'add_list sortam)    (end_list)
  (start_list "tip_size" 3) (mapcar 'add_list spisok_sz) (end_list)
  (start_list "mat_d" 3)    (mapcar 'add_list mat_sp)    (end_list)


  (action_tile "sortam_d" "(progn
                              (izmen (setq tip (atoi $value)))
                              (setq t_size 0)
                            )"
  )
  (action_tile
    "tip_size"
    "(setq t_size (atoi $value))"
  )
  (action_tile
    "mat_d"
    "(setq mat (atoi $value))"
  )

  (action_tile "info" "(ab_prog info_pr)")
  (action_tile "cancel" "(done_dialog 0)")
  (action_tile "accept" "(done_dialog 1)")


 ;;  Open calculation if OK- selected
 (if(= 1 (start_dialog))   ;; IF open
  (progn
   (setq t_sz (nth t_size spisok_sz))
	
   (setq
      marka (nth mat mat_sp)
     spisok (nth tip sortam2)
       str1 (nth 0 spisok)
       str2 (strcat (nth 1 spisok) t_sz (nth 2 spisok)(nth 3 spisok))
       str3 (strcat (nth 4 spisok) marka (nth 5 spisok)(nth 6 spisok))
       pnt1 (getpoint "\n ")
   )
 ;;---------   
  (if (= tip 7)        ;; . /  -7
          
      (setq marka (nth mat mat_spk)
             str2 (strcat (nth 0 spisok)" " t_sz "-" marka)
             str3 (strcat "   "(nth 6 spisok))
       )

    )                    ;;  close IF -7

 ;;---------   
   (if (= tip 8)         ;;   -8
                   
      (setq  marka (nth mat mat_sp10)
             str2 (strcat (nth 0 spisok)" " t_sz "-" marka)
             str3 (strcat "   "(nth 6 spisok))
       )

    )                   ;;  close IF -8

    
   (setq pnt2 (list (+ (car pnt1) 17.0) (+ (cadr pnt1) 9.5))
         pnt3 (list (+ (car pnt1) 17.0) (+ (cadr pnt1) 2.0))
	 pnt1 (list (+ (car pnt1)  1.0) (+ (cadr pnt1) 6.0))
   )
   (if
       (or (= tip 7) (= tip 8)
        )
         (progn
              (pst pnt2 str2 dl2)
              (pst pnt3 str3 dl2)
          )           
    )
 
   (if
       (and
         (/= tip 7)
         (/= tip 8)
        )
         (progn 
             (pst pnt1 str1 dl1)
             (pst pnt2 str2 dl2)
             (pst pnt3 str3 dl2)
         )
    ) ;; close IF
  ) ;; close PROGN
 )  ;; close IF START_DIALOG
  ;;    
  (setvar "BLIPMODE" bm)
  (setvar "CMDECHO" ce)
  (setvar "OSMODE" osm)
  (princ)
)
;;;----------> END <-------------------------------------------------
;(c:mtrl)