;;;    23360-78
;;;       
;;;
;;;____________________________________________________________________________

(defun per_3point (t1 t2 t3) ;     t1 t2
  			     ;      t3 
  (inters t1 t2 t3 (polar t3 (+ (angle t1 t2) (/ pi 2)) (distance t1 t2)) nil)			      
)

(defun dist_2point (t1 t2 t3) ;     t1 t2
  			      ;    t1   t3 
  (list
    (- (car t1) (/ (* (- (car t1) (car t2)) t3) (distance t1 t2)))
    (- (cadr t1) (/ (* (- (cadr t1) (cadr t2)) t3) (distance t1 t2)))
    (- (caddr t1) (/ (* (- (caddr t1) (caddr t2)) t3) (distance t1 t2))))
)

(defun min_dist_3point (t1 t2 t3) 
;   t2  t1      t3
  (if (< (distance t1 t3) (distance t2 t3)) (eval t1) (eval t2))
)

;;;____________________________________________________________________________
(defun c:shpon ( / H L B s1 s2 i i1 i2)  
;;;  H  
;;;  L  
;;;  B  
  (if (= DIST_H nil) (setq DIST_H 0))
  ;     
  (setq s1 nil s2 nil H nil L nil B nil)
    (setq i (entsel " \n    "))
    (setq s1 (entget (car i)))
    (setq i (car(cdr i)))
    (if (= (cdr (assoc 0 s1)) "CIRCLE")
      (progn
	(setq s2 (osnap i "_qua"))
        (setq DIST_H (* (cdr (assoc 40 s1)) 2))
      ))
    (setq i nil)
    (if (= (cdr (assoc 0 s1)) "LINE")
      (progn
        (while (= i nil)
          (setq s2 (entget (car (entsel " \n   "))))
          (if (= (cdr (assoc 0 s2)) "LINE")
	    (progn
	      (if (= s1 s2)
		(progn ;  
		  (setq H (getdist (strcat "\n    <" (rtos DIST_H 2) "> ")))
		  (setq DIST_H (if (= H nil) (eval DIST_H) (eval H))))
		(setq DIST_H ;       
		  (if (= (inters (cdr (assoc 10 s1)) (cdr (assoc 11 s1))
				 (cdr (assoc 10 s2)) (cdr (assoc 11 s2)) nil) nil)
		    (distance
		      (per_3point (cdr (assoc 10 s2)) (cdr (assoc 11 s2)) (cdr (assoc 10 s1)))
		      (cdr (assoc 10 s1)))
		    (eval 0))))
              (setq i 1)))
	  )))
  (progn	;       
      (if (and (>= DIST_H 6) (<= DIST_H 8))     (setq B 2   H 1.2))
      (if (and (>  DIST_H 8) (<= DIST_H 10))    (setq B 3   H 1.8))
      (if (and (>  DIST_H 10) (<= DIST_H 12))   (setq B 4   H 2.5))
      (if (and (>  DIST_H 12) (<= DIST_H 17))   (setq B 5   H 3))
      (if (and (>  DIST_H 17) (<= DIST_H 22))   (setq B 6   H 3.5))
      (if (and (>  DIST_H 22) (<= DIST_H 30))   (setq B 8   H 4))
      (if (and (>  DIST_H 30) (<= DIST_H 38))   (setq B 10  H 5))
      (if (and (>  DIST_H 38) (<= DIST_H 44))   (setq B 12  H 5))
      (if (and (>  DIST_H 44) (<= DIST_H 50))   (setq B 14  H 5.5))
      (if (and (>  DIST_H 50) (<= DIST_H 58))   (setq B 16  H 6))
      (if (and (>  DIST_H 58) (<= DIST_H 65))   (setq B 18  H 7))
      (if (and (>  DIST_H 65) (<= DIST_H 75))   (setq B 20  H 7.5))
      (if (and (>  DIST_H 75) (<= DIST_H 85))   (setq B 22  H 9))
      (if (and (>  DIST_H 85) (<= DIST_H 95))   (setq B 25  H 9))
      (if (and (>  DIST_H 95) (<= DIST_H 110))  (setq B 28  H 10))
      (if (and (>  DIST_H 110) (<= DIST_H 130)) (setq B 32  H 11))
      (if (and (>  DIST_H 130) (<= DIST_H 150)) (setq B 36  H 12))
      (if (and (>  DIST_H 150) (<= DIST_H 170)) (setq B 40  H 13))
      (if (and (>  DIST_H 170) (<= DIST_H 200)) (setq B 45  H 15))
      (if (and (>  DIST_H 200) (<= DIST_H 230)) (setq B 50  H 17))
     (if (or (< DIST_H 6) (> DIST_H 230))       (setq B nil H nil s1 nil s2 nil l nil i nil))
  )
  (if (= (cdr (assoc 0 s1)) "CIRCLE")
    (progn ;  ()
      (setq i (list
		;  
		(list (if (equal (car s2) (car(cdr (assoc 10 s1))) 0.001)
			(+ (car s2) (/ B 2))
		        (car s2))
		      (if (equal (cadr s2) (cadr(cdr (assoc 10 s1))) 0.001)
			(+ (cadr s2) (/ B 2))
			(cadr s2))
		      (caddr s2))
		;  
		(list (if (equal (car s2) (car(cdr (assoc 10 s1))) 0.001)
			(+ (car s2) (/ B 2))
			(if (< (car s2) (car(cdr (assoc 10 s1))))
			  (+ (car s2) H)
			  (- (car s2) H)))
				
		      (if (equal (cadr s2) (cadr(cdr (assoc 10 s1))) 0.001)
			(+ (cadr s2) (/ B 2))
			(if (< (cadr s2) (cadr(cdr (assoc 10 s1))))
			  (+ (cadr s2) H)
			  (- (cadr s2) H)))
		      (caddr s2))
		;  
		(list (if (equal (car s2) (car(cdr (assoc 10 s1))) 0.001)
			(- (car s2) (/ B 2))
			(if (< (car s2) (car(cdr (assoc 10 s1))))
			  (+ (car s2) H)
			  (- (car s2) H)))
		      (if (equal (cadr s2) (cadr(cdr (assoc 10 s1))) 0.001)
			(- (cadr s2) (/ B 2))
			(if (< (cadr s2) (cadr(cdr (assoc 10 s1))))
			  (+ (cadr s2) H)
			  (- (cadr s2) H)))
		      (caddr s2))
		;  
		(list (if (equal (car s2) (car(cdr (assoc 10 s1))) 0.001)
			(- (car s2) (/ B 2))
		        (car s2))
		      (if (equal (cadr s2) (cadr(cdr (assoc 10 s1))) 0.001)
			(- (cadr s2) (/ B 2))
			(cadr s2))
		      (caddr s2))
	      ))
      ;  
      (entmake (list '(0 . "LINE")
	              (list 10 (car (car i)) (cadr (car i)) (caddr (car i)))
	              (list 11 (car (cadr i)) (cadr (cadr i)) (caddr (cadr i)))))
      (setq i1 (cdr (assoc -1 s1)))
      (setq s2 (list (entlast) (car i)))
      (command "trim" i1 "" s2 "")
      ;  
      (entmake (list '(0 . "LINE")
	              (list 10 (car (cadr i)) (cadr (cadr i)) (caddr (cadr i)))
	              (list 11 (car (caddr i)) (cadr (caddr i)) (caddr (caddr i)))))
      ;  
      (entmake (list '(0 . "LINE")
	              (list 10 (car (caddr i)) (cadr (caddr i)) (caddr (caddr i)))
	              (list 11 (car (last i)) (cadr (last i)) (caddr (last i)))))
      (setq s2 (list (entlast) (car i)))
      (command "trim" i1 "" s2 "")
      (setq s2 s1)
    ) 
  )
  (if (= (cdr (assoc 0 s1)) "LINE") ;   
    (progn
      (setq i1 (getpoint "\n    "))
      (setq i2 (getpoint "\n    "))
  ))

  (if (and (= (cdr (assoc 0 s1)) "LINE") (= (cdr (assoc 0 s2)) "LINE") (not(= s1 s2)))
    (progn ;   (  )
	(setq i (list 
		  (dist_2point  ;  
		    (per_3point (cdr (assoc 10 s1)) (cdr (assoc 11 s1)) i1)
		    (per_3point (cdr (assoc 10 s2)) (cdr (assoc 11 s2)) i1)
		    (/ (+ DIST_H B) 2))
		  (dist_2point  ;  
		    (per_3point (cdr (assoc 10 s1)) (cdr (assoc 11 s1)) i1)
		    (per_3point (cdr (assoc 10 s2)) (cdr (assoc 11 s2)) i1)
		    (/ (- DIST_H B) 2))
		  (dist_2point  ;  
		    (per_3point (cdr (assoc 10 s1)) (cdr (assoc 11 s1)) i2)
		    (per_3point (cdr (assoc 10 s2)) (cdr (assoc 11 s2)) i2)
		    (/ (- DIST_H B) 2))
		  (dist_2point  ;  
		    (per_3point (cdr (assoc 10 s1)) (cdr (assoc 11 s1)) i2)
		    (per_3point (cdr (assoc 10 s2)) (cdr (assoc 11 s2)) i2)
		    (/ (+ DIST_H B) 2))))
	(setq i (list  ;  
	  	  (dist_2point (car i)   (last i)  (/ B 2))
	  	  (dist_2point (cadr i)  (caddr i) (/ B 2))
	  	  (dist_2point (caddr i) (cadr i)  (/ B 2))
	  	  (dist_2point (last i)  (car i)   (/ B 2))))
        (entmake (list '(0 . "LINE")
 	                (list 10 (car (car i)) (cadr (car i)) (caddr (car i)))
	                (list 11 (car (last i)) (cadr (last i)) (caddr (last i)))))
	(setq i1 (list (entlast) (car i)))
        (entmake (list '(0 . "LINE")
	                (list 10 (car (cadr i)) (cadr (cadr i)) (caddr (cadr i)))
	                (list 11 (car (caddr i)) (cadr (caddr i)) (caddr (caddr i)))))
	(setq i2 (list (entlast) (cadr i)))
	(command "fillet" i1 i2)
	(setq i1 (list (car i1) (last i)))
	(setq i2 (list (car i2) (caddr i)))
	(command "fillet" i1 i2)
  ))
  (if (= s1 nil) (princ "\n      "))
  (setq s1 nil s2 nil H nil L nil B nil i nil i1 nil i2 nil) ;  
  (princ)
)
;;;----------> END <-----------------------------------------------------------

